Create amendment request
Create amendment request while mandate is ACTIVE or SUSPENDED.
At least one of validity or payTo must be provided. The payTo field is only allowed for PayTo mandates.
If the mandate has already been used for payments, the validity.from (start date) cannot be amended.
BearerAuthorizationBearer <JWT>Bearer token using a JWT.
id*stringIdentifier of the mandate.
uuidX-Volt-Api-Version*1Version of the API used. Currently, version 1 is the only version.
1application/json- body
PayTo mandate amendment request body.
validity?Proposed changes to mandate validity dates.
payTo?PayTo-specific amendment fields.
Created - Amendment request created.
application/json- response
Amendment details.
id*stringAmendment identifier.
uuidmandateId*stringMandate identifier.
uuidtrack*AmendmentTrackEnumAmendment track. Bilateral changes require payer approval; unilateral changes do not.
"BILATERAL""UNILATERAL"initiator*AmendmentInitiatorEnumWho initiated the amendment.
"CUSTOMER""PAYER"status*Amendment status.
changes*Proposed constraint changes.
createdAt*stringWhen the amendment was created.
date-timeupdatedAt?|When the amendment was last updated.
date-timecurl -X POST 'https://gateway.sandbox.volt.io/mandates/497f6eca-6276-4993-bfeb-53cbbbba6f08/amendments' \ -H 'X-Volt-Api-Version: 1' \ -H 'Content-Type: application/json' \ -d '{ "validity": { "to": "2026-08-31 00:00:00" }, "payTo": { "limits": { "payment": { "amount": 12000 } } }}'{ "id": "79fb2306-e199-497e-b5a1-912a68a02894", "mandateId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "track": "BILATERAL", "initiator": "CUSTOMER", "status": { "status": "AWAITING_APPROVAL", "details": null }, "changes": { "validity": { "to": "2026-08-31 00:00:00" }, "payTo": { "limits": { "payment": { "amount": 12000 } } } }, "createdAt": "2026-04-10T12:00:34+00:00", "updatedAt": "2026-04-10T12:00:34+00:00"}